> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a business



## OpenAPI

````yaml /openapi/workforce-management.yaml post /v1/platform/businesses
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/platform/businesses:
    post:
      tags:
        - Platform
      summary: Create
      description: Create a business
      operationId: createBusiness
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBusinessRequest'
      responses:
        '200':
          $ref: '#/components/responses/CreateBusinessResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        5XX:
          $ref: '#/components/responses/InternalError'
      security:
        - Authorization: []
components:
  schemas:
    CreateBusinessRequest:
      description: Create business request payload
      type: object
      required:
        - businessName
        - adminFirstName
        - adminLastName
        - address
        - adminEmail
        - idempotencyKey
        - country
      properties:
        businessName:
          type: string
          description: Business name
          example: Wayne Enterprise
        businessShortName:
          type: string
          example: W.E.
          description: Shortname of the business
        adminFirstName:
          type: string
          example: Jane
          description: First name of the admin of the business
        adminLastName:
          type: string
          example: Founder
          description: Last name of the admin of the business
        address:
          $ref: '#/components/schemas/address'
        adminEmail:
          type: string
          description: Person's email
          example: admin@example.com
        suppressWelcomeEmail:
          type: boolean
          description: Whether you want to suppress the welcome email
          default: false
        registrationId:
          type: string
          description: Registration id/number of the business
          example: '991234567'
        idempotencyKey:
          type: string
          description: Unique string to prevent dedupe
          example: b6ae5da9-6342-4a58-bd50-8564d68d3f7e
        country:
          type: string
          example: US
        adminPhoneNumber:
          $ref: '#/components/schemas/phoneNumber'
    address:
      type: object
      description: Address
      required:
        - countryCode
      properties:
        line1:
          type: string
          example: Street 1
        line2:
          type: string
          example: Apt 1
        city:
          type: string
          example: Gotham
        postalCode:
          type: string
          example: '10001'
        state:
          type: string
          example: NY
        countryCode:
          type: string
          example: US
    phoneNumber:
      type: object
      description: Person's phone number
      properties:
        countryCode:
          type: string
          example: '1'
        number:
          type: string
          example: '2345678901'
    uuid:
      type: string
      format: uuid
      example: 8ef9a712-cdae-4110-b1ea-9ba95abbee6e
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  responses:
    CreateBusinessResponse:
      description: get user kyc response
      content:
        application/json:
          schema:
            type: object
            properties:
              businessId:
                $ref: '#/components/schemas/uuid'
              tenantKey:
                type: string
                example: biz123456
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````